import java.awt.image.BufferedImage;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.WindowConstants;

/**
 * classe permettant l'ouverture d'une fen&ecirc;tre graphique
 *
 * @author IK
 * @version 0.0
 */
public class FenetreTP2 extends JFrame {
    private FenetreTP2(BufferedImage image){
	super("TP2");
        this.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);

        CanvasTP2 canvas = new CanvasTP2(image);
        this.getContentPane().add(canvas, 0);
	this.pack();
	this.setVisible(true);
    }

    /** ouverture d'une nouvelle fen&ecirc;tre graphique avec une image de fond
     * @param image une <code>BufferedImage</code> qui 
     * appara&icirc;t sur le fond de la fen&ecirc;tre
     */
    public static void ouvrirFenetre(BufferedImage image){
	new FenetreTP2(image);
    }
}

class CanvasTP2 extends JPanel {
    BufferedImage image;

    public CanvasTP2(BufferedImage image){
	super();
	this.image = image;
        this.setPreferredSize(new Dimension(this.image.getWidth(),
                                            this.image.getHeight()));
    }

    public void paintComponent(Graphics g){
	Graphics2D g2 = (Graphics2D) g;
        g2.drawImage(this.image, 0, 0, null);
    }
}