import java.awt.Point;

/**
 * permet de manipuler des points sans conna&icirc;tre la classe
 * <code>java.awt.Point</code>
 */
public class MonPoint extends Point{
    private MonPoint(){}
    private MonPoint(int x, int y){
	super(x, y);
    }
    /**
     * renvoie un point &agrave; coordonn&eacute;es enti&egrave;res
     * @param x,y les coordonn&eacute;es du point
     * @return le point
     */
    public static MonPoint unPoint(int x, int y){
	return new MonPoint(x, y);
    }

    /**
     * renvoie l'abscisse d'un point
     * @param p point
     * @return abscisse de <code>p</code>
     */
    public static int getX(MonPoint p){
	return p.x;
    }

    /**
     * renvoie l'ordonn&eacute;e d'un point
     * @param p point
     * @return ordonn&eacute;e de <code>p</code>
     */
    public static int getY(MonPoint p){
	return p.y;
    }
}
