import java.text.Normalizer;
import java.util.regex.Pattern;

class Dictionary {

    /**
     * minLength(m,n) renvoie le min des longueurs des chaînes {@code m} et {@code n}.
     *
     * @param m,n
     *   Les chaînes dont on compare la longueur.
     * @return la plus petite des deux longueurs.
     */


    public static int minLength(String m, String n) {
    }

    /**
     * getDifference(m,n) renvoie le premier indice {@code idx} pour lesquels les chaînes de caractères
     * diffèrent, ou tel que {@code m} ou {@code n} soit de longueur plus petite que {@code idx}.
     *
     * @param m,n
     *   Les chaînes à comparer.
     * @return le plus petit indice i tel que la ième lettre de m et n ne soit pas la même,
     *     ou ne soit pas définit.
     */


    public static int getDifference(String m, String n) {
    }

    /**
     * compareString(m,n) affiche qui de {@code m} ou {@code n} apparaît en premier dans le dictionnaire
     *
     * @param m,n
     *   Les chaînes à comparer.
     */

    public static void compareString(String m,String n) {
    }




    /**
    * Renvoie l'entier correspondant à l'indice dans l'alphabet
    * du caractère à la position {@code idx} dans le mot {@code str}.
    *
    * @param str la chaîne d'où extraire le caratère.
    * @param idx l'index dans la chaîne.
    * @return l'indice alphabétique (1-26) du caractère à la position {@code idx} dans {@code str},
    * ou 0 si l'indice est invalide.
    *
    * Nécessite java.text.Normalizer et java.util.regex.Pattern
    */


    public static int stringLetterAt(String str, int idx) {
        String strNorm = Normalizer.normalize(str, Normalizer.Form.NFD);
        Pattern pattern = Pattern.compile("\\p{InCombiningDiacriticalMarks}+");
        strNorm=pattern.matcher(strNorm).replaceAll("");
        if (idx < 0 || strNorm.length() <= idx) {
            return 0;
        } else {
            return ((int) strNorm.charAt(idx))-96;
        }
    }

    /**
    * Calcule la longueur d'une chaîne de caractères
    * @param t La chaîne dont on veut connaître la longueur
    * @return La longueur de la chaîne
    */
    public static int getStringLength(String s) {
        return s.length();
    }

    /**
    * Affiche une chaîne de caractères sur le terminal.
    * @param s La chaîne de caractère à afficher
    */
    public static void showString (String s) {
        System.out.print (s);
    }

    /**
    * Passe à la ligne dans le terminal.
    */
    public static void showNewLine () {
        System.out.println ();
    }



    public static void main(String[] args) {
    }



}
