import java.io.*;
import java.io.File;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Color;
import java.awt.image.BufferedImage;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

import javax.imageio.ImageIO;

class Drawing {

    /**
      * drawFlag() affiche le drapeau français.
      */
    void drawFlag() {
    }

    /**
      * setBlue() attribue la couleur bleu au pinceau.
      */
    void setBlue() {
        graphics.setColor(Color.blue);
    }

    /**
      * setWhite() attribue la couleur blanche au pinceau.
      */
    void setWhite() {
        graphics.setColor(Color.white);
    }

    /**
      * setRed() attribue la couleur rouge au pinceau.
      */
    void setRed() {
        graphics.setColor(Color.red);
    }

    /**
      * drawLine(pos) dessine une ligne verticale (de largeur 1px)
      * de la couleur courante du pinceau.
      *
      * @param pos
      *   La position horizontale de la ligne verticale (de 0 à 600).
      */
    void drawLine(int pos) {
        graphics.drawLine(pos, 0, pos, 400);
    }

    Graphics graphics;

    public void draw(Graphics2D g) {
        graphics = g;
        drawFlag();
    }

}

class Picture extends JFrame {

    class Surface extends JPanel {

        private Drawing drawing;

        public Surface (Drawing d) {
            drawing = d;
        }

        public void paintComponent (Graphics g) {
            Graphics2D g2d = (Graphics2D) g;
            super.paintComponent(g);
            drawing.draw(g2d);
        }
    }

    public Picture (String name, int width, int height) {
        setSize(width, height);
        setTitle(name);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLocationRelativeTo(null);
    }

    public void draw(Drawing d) {
        add(new Surface(d));
        Runnable r = new Runnable() {
            public void run() {
                setVisible(true);
            }
        };

        SwingUtilities.invokeLater(r);
    }

}


class Flag {

    public static void main(String[] args) {
        Picture picture = new Picture ("Flag", 600, 400);
        Drawing drawing = new Drawing ();
        picture.draw(drawing);

    }

}
