import java.text.Normalizer;
import java.util.regex.Pattern;

class Test {

    public static void test() {
    }

    /**
    * Renvoie l'entier correspondant à l'indice dans l'alphabet
    * du caractère à la position {@code idx} dans le mot {@code str}.
    *
    * @param str la chaîne d'où extraire le caratère.
    * @param idx l'index dans la chaîne.
    * @return l'indice alphabétique (1-26) du caractère à la position {@code idx} dans {@code str},
    * ou 0 si l'indice est invalide.
    *
    * Nécessite java.text.Normalizer et java.util.regex.Pattern
    */


    public static int stringLetterAt(String str, int idx) {
        String strNorm = Normalizer.normalize(str, Normalizer.Form.NFD);
        Pattern pattern = Pattern.compile("\\p{InCombiningDiacriticalMarks}+");
        strNorm=pattern.matcher(strNorm).replaceAll("");
        if (idx < 0 || strNorm.length() <= idx) {
            return 0;
        } else {
            return ((int) strNorm.charAt(idx))-96;
        }
    }

    /**
    * Renvoie une chaîne d'un caractère: celui de {@code str} à la position
    * {@code idx}.
    *
    * @param str la chaîne d'où extraire le caratère.
    * @param idx l'index dans la chaîne.
    * @return le caractère dans {@code str} à l'indice {@code idx}
    */
    public static String stringCharAt(String str, int idx) {
        return String.valueOf(str.charAt(idx));
    }

    /**
    * Calcule la longueur d'une chaîne de caractères
    * @param t La chaîne dont on veut connaître la longueur
    * @return La longueur de la chaîne
    */
    public static int getStringLength(String s) {
        return s.length();
    }

    /**
    * Convertit un entier en une chaîne de caractères (en base 10).
    * @param n L'entier à convertir
    * @return La chaîne de caractères représentant l'entier n en base 10
    */
    public static String intToString (int n) {
        return "" + n;
    }

    /**
    * Affiche une chaîne de caractères sur le terminal.
    * @param s La chaîne de caractère à afficher
    */
    public static void showString (String s) {
        System.out.print (s);
    }

    /**
    * Affiche un entier sur le terminal.
    * @param n L'entier à afficher
    */
    public static void showInt (int n) {
        System.out.print (n);
    }

    /**
    * Passe à la ligne dans le terminal.
    */
    public static void showNewLine () {
        System.out.println ();
    }


    public static void main(String[] args) {
    }



}
